## systemd 220

=== debian/changelog ===
systemd (220-1tanglu1) staging; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - Enable persistent journald logging by default.
    - Make systemd-sysv a required package (resolves override disparity).
    - Make libpam-systemd prefer systemd-sysv over systemd-shim
      + The shim is completely unsupported in Tanglu at time, and
        we don't want it to be installed accidentally.

 -- Matthias Klumpp <mak@debian.org>  Fri, 29 May 2015 17:45:48 +0200

systemd (220-1) experimental; urgency=medium

  [ Martin Pitt ]
  * New upstream release:
    - Ship sdio.ids and ids-update.pl in upstream tarball. (Closes: #780650)
    - Drop non-working "journalctl /dev/sda" example from manpage
      (Closes: #781604)
    - man systemd.network: Explain UseDomains a bit more (not used by
      default). (Closes: #766413)
    - Ignore comments in /etc/hostname (LP: #766413)
    - Drop all backported patches and port the others to new upstream release.
  * Cherry-pick patch to fix udevd --daemon assertion regression.
  * Cherry-pick patch to fix udevd worker hang.
  * systemd.install: systemd.pc moved back into /usr/share/pkgconfig/.
  * libsystemd0.symbols: Add new symbols from this release.
  * Drop debian/extra/60-keyboard.hwdb for now. Upstream has a newer version,
    and it's not nearly as often updated any more as it used to be.
  * debian/rules: Remove shipped audit_type-to-name.h and
    keyboard-keys-from-name.gperf and regenerate them during build (bug in
    upstream 220 tarball).
  * autopkgtest: Ship/use mock fsck from debian/tests, as it's missing in the
    220 tarball.
  * Add libnss-mymachines binary package. (Closes: #784858)
  * Add libnss-myhostname binary package, taking over from the very old and
    unmaintained standalone source package as per its maintainer's request.
    (Closes: #760514)
  * Drop buildsys-Don-t-default-to-gold-as-the-linker.patch and set LD in
    debian/rules on sparc only. This can be dropped entirely once we build
    GUdev from a separate source.
  * bootchart autopkgtest: Skip test if /proc/schedstat does not exist, i. e.
    the kernel is missing CONFIG_SCHEDSTAT. Bootchart requires this.
  * systemd-fsckd autopkgtest: On Debian plymouth-start stays running, adjust
    was_running() for that.
  * systemd-fsckd autopkgtest: In test_systemd_fsck_with_plymouth_failure(),
    fix plymouthd status check to work under both Debian and Ubuntu.
  * Replace almost all of Fix-paths-in-man-pages.patch with upstreamed
    patches. (The reminder is planned to get fixed upstream as well.)
  * Remove our update-rc.d patches, replace them with upstream patches for
    /lib/systemd/systemd-sysv-install abstraction, and provide one for
    update-rc.d. Also implement "is-enabled" command by directly checking for
    the presence of rcS or rc5 symlinks. (Closes: #760616)
  * Fix path_is_mount_point for files (regression in 220).
  * debian/control: Drop obsolete XS-Testsuite:, dpkg adds it automatically.
  * Use Ubuntu's default NTP server for timesyncd when building on Ubuntu.

  [ Michael Biebl ]
  * Remove /var/run and /var/lock migration code from debian-fixup. The /run
    migration was completed in wheezy so this is no longer necessary.
  * Drop our versioned Depends on initscripts. This was initially added for
    the /run migration and later to ensure we have a mountnfs hook which
    doesn't cause a deadlock under systemd. The /run migration was completed
    in wheezy and jessie ships a fixed mountnfs hook. In addition we now use
    the ignore-dependencies job mode in our lsb init-functions hook, so it's
    safe to drop this dependency.
  * Stop building gudev packages. Upstream has moved the gudev code into a
    separate repository which is now managed on gnome.org. The gudev packages
    will be built from src:libgudev from now on. See also
    http://lists.freedesktop.org/archives/systemd-devel/2015-May/032070.html

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 May 2015 10:37:40 +0200

systemd (219-10) experimental; urgency=medium

  * Fix assertion crash with empty Exec*= paths. (LP: #1454173)
  * Drop Avoid-reload-and-re-start-requests-during-early-boot.patch
    and Avoid-reloading-services-when-shutting-down.patch: This was fixed more
    robustly in invoke-rc.d and service now, see #777113.
  * debian/tests/boot-smoke: Allow 10 seconds for systemd jobs to settle down.
  * Fix "tentative" state of devices which are not in /dev (mostly in
    containers), and avoid overzealous cleanup unmounting of mounts from them.
    (LP: #1444402)
  * debian/extra/udev-helpers/net.agent: Eliminate cat and most grep calls.
  * Drop Set-default-polling-interval-on-removable-devices-as.patch; it's long
    obsolete, CD ejection with the hardware button works properly without it.
  * Re-enable-journal-forwarding-to-syslog.patch: Update patch description,
    journal.conf.d/ exists now.
  * journal: Gracefully handle failure to bind to audit socket, which is known
    to fail in namespaces (containers) with current kernels. Also
    conditionalize systemd-journald-audit.socket on CAP_AUDIT_READ.
    (LP: #1457054)
  * Put back *.agent scripts and use net.agent in Ubuntu. This fixes escaping
    of unit names, reduces the delta, and will make it easier to get a common
    solution for integrating ifup.d/ scripts with networkd.
  * When booting with "quiet", run the initramfs' udevd with "notice" log
    level. (LP: #1432171)
  * Add sigpwr-container-shutdown.service: Power off when receiving SIGPWR in
    a container. This makes lxc-stop work for systemd containers.
    (LP: #1457321)
  * write_net_rules: Escape '{' and '}' characters as well, to make this work
    with busybox grep. Thanks Faidon Liambotis! (Closes: #765577)

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 May 2015 09:43:52 +0200

systemd (219-9) experimental; urgency=medium

  * 75-persistent-net-generator.rules: Fix rules for ibmveth (it's a driver,

