=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: systemd
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
+Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Marco d'Itri <md@linux.it>, Michael Stapelberg <stapelberg@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-systemd/systemd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-systemd/systemd.git
 X-Python-Version: >= 2.7
-XS-Testsuite: autopkgtest
 Homepage: http://www.freedesktop.org/wiki/Software/systemd
 Build-Depends: debhelper (>= 9),
                pkg-config,
@@ -24,10 +22,9 @@
                gperf,
                libcap-dev,
                libpam0g-dev,
-               libapparmor-dev,
+               libapparmor-dev (>= 2.9.0-3+exp2),
                libaudit-dev,
                libdbus-1-dev (>= 1.3.2),
-               libglib2.0-dev (>= 2.22.0),
                libcryptsetup-dev (>= 2:1.6.0),
                libselinux1-dev (>= 2.1.9),
                libacl1-dev,
@@ -36,11 +33,8 @@
                libkmod-dev (>= 15),
                libblkid-dev (>= 2.24),
                libmount-dev (>= 2.20),
-               libgirepository1.0-dev (>= 1.31.1),
-               gobject-introspection (>= 1.31.1),
                python3-all-dev,
-               python3-lxml,
-               libglib2.0-doc
+               python3-lxml
 
 Package: systemd
 Architecture: linux-any
@@ -55,20 +49,17 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libsystemd0 (= ${binary:Version}),
-         libapparmor1 (>= 2.8.98-0ubuntu4),
-         util-linux (>= 2.25),
+         util-linux (>= 2.26.2-2),
          mount (>= 2.25),
-         initscripts (>= 2.88dsf-53.2),
          sysv-rc,
          udev,
          adduser,
          libcap2-bin
 Breaks: lvm2 (<< 2.02.104-1),
         lsb-base (<< 4.1+Debian4),
+        apparmor (<< 2.9.2-1),
         systemd-shim (<< 8-2)
-Conflicts: klogd, systemd-services
-Replaces: systemd-services
-Provides: systemd-services
+Conflicts: klogd
 Description: system and service manager
  systemd is a system and service manager for Linux. It provides aggressive
  parallelization capabilities, uses socket and D-Bus activation for starting
@@ -87,14 +78,12 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Section: admin
-Priority: extra
+Priority: required
 Conflicts: sysvinit-core,
-           upstart-sysv,
-           upstart (<< 1.13.2-0ubuntu10~),
+           upstart
 Replaces: sysvinit (<< 2.88dsf-44~),
           sysvinit-core,
-          upstart-sysv,
-          upstart (<< 1.13.2-0ubuntu10~),
+          upstart
 Pre-Depends: systemd
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -124,7 +113,7 @@
          systemd (= ${binary:Version}),
          libpam-runtime (>= 1.0.1-6),
          dbus,
-         systemd-shim (>= 8-2) | systemd-sysv
+         systemd-sysv | systemd-shim (>= 8-2)
 Description: system and service manager - PAM module
  systemd is a system and service manager for Linux. It provides aggressive
  parallelization capabilities, uses socket and D-Bus activation for starting
@@ -142,6 +131,41 @@
  If in doubt, do install this package.
  .
  Packages that depend on logind functionality need to depend on libpam-systemd.
+
+Package: libnss-myhostname
+Architecture: linux-any
+Multi-Arch: same
+Section: admin
+Priority: extra
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: nss module providing fallback resolution for the current hostname
+ This package contains a plugin for the Name Service Switch, providing host
+ name resolution for the locally configured system hostname as returned by
+ gethostname(2). It returns all locally configured public IP addresses or -- if
+ none are configured, the IPv4 address 127.0.1.1 (which is on the local
+ loopback) and the IPv6 address ::1 (which is the local host).
+ .
+ A lot of software relies on that the local host name is resolvable. This
+ package provides an alternative to the fragile and error-prone manual editing
+ of /etc/hosts.
+ .
+ Installing this package automatically adds myhostname to /etc/nsswitch.conf.
+
+Package: libnss-mymachines
+Architecture: linux-any
+Multi-Arch: same
+Section: admin
+Priority: extra
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: nss module to resolve hostnames for local container instances
+ nss-mymachines is a plugin for the GNU Name Service Switch (NSS) functionality
+ of the GNU C Library (glibc) providing hostname resolution for local containers
+ that are registered with systemd-machined.service(8). The container names are
+ resolved to IP addresses of the specific container, ordered by their scope.
+ .
+ Installing this package automatically adds mymachines to /etc/nsswitch.conf.
 
 Package: libsystemd0
 Architecture: linux-any
@@ -254,7 +278,7 @@
 Breaks: consolekit (<< 0.4.6-1),
         kmod (<< 14),
         systemd (<< 215-1),
-        plymouth (<< 0.9.0-0ubuntu8~),
+        plymouth (<< 0.9.0-7),
         bash-completion (<< 1:2.1)
 Replaces: bash-completion (<< 1:2.1)
 Description: /dev/ and hotplug management daemon
@@ -310,37 +334,3 @@
  .
  This is a minimal version, only for use in the installation system.
 
-Package: libgudev-1.0-0
-Section: libs
-Priority: optional
-Architecture: linux-any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: GObject-based wrapper library for libudev
- This library makes it much simpler to use libudev from programs already using
- GObject. It also makes it possible to easily use libudev from other
- programming languages, such as Javascript, because of GObject introspection
- support.
-
-Package: gir1.2-gudev-1.0
-Section: introspection
-Priority: optional
-Architecture: linux-any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${gir:Depends}
-Description: libgudev-1.0 introspection data
- This package contains the GObject-introspection data of libgudev-1.0 in
- binary typelib format.
-
-Package: libgudev-1.0-dev
-Section: libdevel
-Priority: optional
-Architecture: linux-any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libgudev-1.0-0 (= ${binary:Version}),
-         gir1.2-gudev-1.0 (= ${binary:Version}),
-         libglib2.0-dev,
