=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,10 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 VERSION = $(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/.*: //p')
 
-ifneq (,$(findstring stage1,$(DEB_BUILD_PROFILES)))
-BOOTSTRAP_DH_FLAGS := -Ngir1.2-gudev-1.0 -Nlibgudev-1.0-0 -Nlibgudev-1.0-dev
+ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+    DEFAULT_NTP_SERVERS = ntp.ubuntu.com
+else
+    DEFAULT_NTP_SERVERS = 0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org
 endif
 
 CONFFLAGS = \
@@ -19,6 +21,7 @@
 	--with-debug-shell=/bin/bash \
 	--with-telinit=/lib/sysvinit/telinit \
 	--enable-split-usr \
+	--disable-gudev \
 	--disable-seccomp \
 	--disable-qrencode \
 	--disable-microhttpd \
@@ -32,11 +35,10 @@
 	--disable-firstboot \
 	--disable-coredump \
 	--disable-xkbcommon \
-	--disable-myhostname \
 	--disable-importd \
 	--disable-libiptc \
 	--disable-silent-rules \
-	--with-ntp-servers="0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org"  \
+	--with-ntp-servers="$(DEFAULT_NTP_SERVERS)"  \
 	--with-system-uid-max=999 \
 	--with-system-gid-max=999
 
@@ -76,11 +78,11 @@
 	--disable-networkd \
 	--disable-timesyncd \
 	--disable-localed \
+	--disable-myhostname \
 	--disable-resolved \
 	--disable-polkit \
 	--disable-acl \
 	--disable-gcrypt \
-	--disable-gudev \
 	--disable-rfkill \
 	--disable-hwdb \
 	--disable-manpages \
@@ -91,6 +93,11 @@
 		-- $(CONFFLAGS) $(CONFFLAGS_deb)
 	dh_auto_configure --builddirectory=build-udeb \
 		-- $(CONFFLAGS) $(CONFFLAGS_udeb)
+	# workarounds for broken 220 tarball, see
+	# http://lists.freedesktop.org/archives/systemd-devel/2015-May/032148.html
+	rm -f src/journal/audit_type-to-name.h
+	# http://lists.freedesktop.org/archives/systemd-devel/2015-May/032148.html
+	rm -f src/udev/keyboard-keys-from-name.gperf
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=build-deb
@@ -147,12 +154,13 @@
 	# remove symlinks enabling default-on services
 	rm -rf debian/install/*/etc/systemd/system/*.target.wants/
 	dh_install -pudev-udeb -plibudev1-udeb --sourcedir=debian/install/udeb
-	# we disable machined for now, so don't ship nss-mymachines either
-	rm -f debian/install/*/usr/lib/*/libnss_mymachines*
 	# still needs to mature a bit, and packaging
 	rm -f debian/install/*/usr/lib/*/libnss_resolve*
 
-	dh_install $(BOOTSTRAP_DH_FLAGS) -Nudev-udeb -Nlibudev1-udeb --sourcedir=debian/install/deb --fail-missing
+	# fix location of NSS modules
+	cd debian/install/deb/; for f in usr/lib/*/libnss_*; do mv $$f $${f#usr/}; done
+
+	dh_install -Nudev-udeb -Nlibudev1-udeb --sourcedir=debian/install/deb --fail-missing
 
 	# Make sure the runlevel services are known by systemd so their targets
 	# get launches. See https://bugzilla.redhat.com/show_bug.cgi?id=1002806
@@ -201,7 +209,6 @@
 		install -D --mode=644 debian/extra/systemd.py debian/systemd/usr/share/apport/package-hooks/systemd.py; \
 		install --mode=644 debian/extra/systemd-vconsole-setup.service debian/systemd/lib/systemd/system/; \
 		install --mode=644 debian/extra/rules-ubuntu/*.rules debian/udev/lib/udev/rules.d/; \
-		rm debian/udev/lib/udev/*.agent; \
 	fi
 
 # use symlinked doc directories on Debian as the old udev package did; we have
@@ -210,14 +217,10 @@
 	if ! dpkg-vendor --is ubuntu; then \
 		dh_installdocs -pudev -plibudev-dev --link-doc=libudev1; \
 		install -D --mode 644 debian/udev.README.Debian debian/libudev1/usr/share/doc/libudev1/README.Debian; \
-		dh_installdocs -pgir1.2-gudev-1.0 -plibgudev-1.0-dev --link-doc=libgudev-1.0-0; \
 	fi
 	dh_installdocs --remaining-packages
 
 override_dh_installinit:
-	dh_installinit -R --no-start
+	dh_installinit --no-start
 	dh_installinit --name=udev-finish --no-start
-	dh_installinit --name=lvm2 --no-start
 	# the following are only upstart jobs
-	dh_installinit --name=udevtrigger --noscripts
-	dh_installinit --name=udevmonitor --noscripts
